Fumadocs

Get all planets

GET
/planets

It's easy to say you know them all, but do you really? Retrieve all the planets and check whether you missed one.

Query Parameters

limit?integer

The number of items to return

Formatint64
Default10
offset?integer

The number of items to skip before starting to collect the result set

Formatint64
Default0

Response Body

curl -X GET "https://example.com/planets"
{  "data": [    {      "id": 1,      "name": "Mars",      "description": "The red planet",      "type": "terrestrial",      "habitabilityIndex": 0.68,      "physicalProperties": {        "mass": 0.107,        "radius": 0.532,        "gravity": 0.378,        "temperature": {          "min": 130,          "max": 308,          "average": 210,          "temperatureMetric1": 0.1,          "temperatureMetric2": 0.1        },        "measurement1": 0.1,        "measurement2": 0.1      },      "atmosphere": [        {          "compound": "CO2",          "percentage": 95.3,          "atmosphericData1": "string",          "atmosphericData2": "string"        }      ],      "discoveredAt": "1610-01-07T00:00:00Z",      "image": "https://cdn.scalar.com/photos/mars.jpg",      "satellites": [        {          "id": 1,          "name": "Phobos",          "description": "Phobos is the larger and innermost of the two moons of Mars.",          "diameter": 22.2,          "type": "moon",          "orbit": {            "planet": {              "id": 1,              "name": "Mars",              "description": "The red planet",              "type": "terrestrial",              "habitabilityIndex": 0.68,              "physicalProperties": {                "mass": 0.107,                "radius": 0.532,                "gravity": 0.378,                "temperature": {                  "min": 130,                  "max": 308,                  "average": 210,                  "temperatureMetric1": 0.1,                  "temperatureMetric2": 0.1                },                "measurement1": 0.1,                "measurement2": 0.1              },              "atmosphere": [                {                  "compound": "CO2",                  "percentage": 95.3,                  "atmosphericData1": "string",                  "atmosphericData2": "string"                }              ],              "discoveredAt": "1610-01-07T00:00:00Z",              "image": "https://cdn.scalar.com/photos/mars.jpg",              "satellites": [],              "creator": {                "id": 1,                "name": "Marc"              },              "tags": [                "solar-system",                "rocky",                "explored"              ],              "lastUpdated": "2024-01-15T14:30:00Z",              "successCallbackUrl": "https://example.com/webhook",              "failureCallbackUrl": "https://example.com/webhook"            },            "orbitalPeriod": 0.319,            "distance": 9376          }        }      ],      "creator": {        "id": 1,        "name": "Marc"      },      "tags": [        "solar-system",        "rocky",        "explored"      ],      "lastUpdated": "2024-01-15T14:30:00Z",      "successCallbackUrl": "https://example.com/webhook",      "failureCallbackUrl": "https://example.com/webhook"    }  ],  "meta": {    "limit": 10,    "offset": 0,    "total": 100,    "next": "/planets?limit=10&offset=10"  }}